#version 450

layout (location = 0) in vec4 inColor;
layout (location = 0) out vec4 outColor;

layout (binding = 0) uniform XYZS {
  vec4 posSize;
} poss;

layout (binding = 1) uniform Color {
  vec4 inColor;
} col;

layout(binding = 2) uniform CameraBuffer
{
	vec4 camPos;
	mat4 viewTransform;
}ubo;

void main ()
{
  outColor = inColor;
}
